## libbluedevil 1.7%2Bdfsg

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=dversionmangle=s/\+dfsg// \
 http://git.ereslibre.es/libbluedevil/  /libbluedevil/snapshot/libbluedevil-([\d\.]*)\.tar\.bz2

## libbluedevil 1.7+dfsg

=== CMakeLists.txt ===
project(libbluedevil)

cmake_minimum_required(VERSION 2.6.4)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(Qt4 REQUIRED)

set(GENERIC_LIB_VERSION "1.5")
set(GENERIC_LIB_SOVERSION "1")
set(VERSION ${GENERIC_LIB_VERSION})

add_subdirectory(bluedevil)

=== bluedevil/CMakeLists.txt ===
add_subdirectory(test)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDES})

set(libbluedevil_SRCS
    bluedevilmanager.cpp
    bluedeviladapter.cpp
    bluedevildevice.cpp
    bluedevilutils.cpp
)

QT4_ADD_DBUS_INTERFACE(libbluedevil_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/bluez/bluez-manager.xml bluezmanager)
QT4_ADD_DBUS_INTERFACE(libbluedevil_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/bluez/bluez-adapter.xml bluezadapter)
set(libbluedevil_xml ${CMAKE_CURRENT_SOURCE_DIR}/bluez/bluez-device.xml)
set_source_files_properties(${libbluedevil_xml} PROPERTIES INCLUDE "bluedevil/bluedevildevice.h")
QT4_ADD_DBUS_INTERFACE(libbluedevil_SRCS ${libbluedevil_xml} bluezdevice)

QT4_AUTOMOC(${libbluedevil_SRCS})

add_library(bluedevil SHARED ${libbluedevil_SRCS})

target_link_libraries(bluedevil ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY})

set_target_properties(bluedevil PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS bluedevil DESTINATION lib)
install(FILES bluedevilmanager.h
              bluedeviladapter.h
              bluedevildevice.h
              bluedevil_export.h
              bluedevil.h
              bluedevilutils.h DESTINATION include/bluedevil)

if(NOT WIN32) # pkgconfig file
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/bluedevil.pc.in ${CMAKE_CURRENT_BINARY_DIR}/bluedevil.pc @ONLY)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/bluedevil.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig)
endif(NOT WIN32)

=== bluedevil/test/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDES})

set (bluedeviltest_SRCS bluedeviltest.cpp)

qt4_automoc(${bluedeviltest_SRCS})

add_executable(bluedeviltest ${bluedeviltest_SRCS})

target_link_libraries(bluedeviltest ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY} bluedevil)

=== debian/changelog ===
libbluedevil (1.7+dfsg-1) unstable; urgency=low

  * Initial DFSG release 
    - Remove bluez non-free documentation
  * Architecture: linux-any
  * Initial DFSG release
  * Add dversionmangle to debian/watch
  * Architecture: linux-any

 -- Mark Purcell <msp@debian.org>  Sat, 07 Aug 2010 15:04:27 +1000

libbluedevil (1.7-1) unstable; urgency=low

  * Initial release

 -- Florian Reinhard <florian.reinhard@googlemail.com>  Thu, 29 Jul 2010 01:14:18 +0200

=== debian/control ===
Source: libbluedevil
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.4), libqt4-dev (>= 4:4.6.2)
Standards-Version: 3.9.1
Section: libs
Homepage: http://projects.ufocoders.com/projects/libbluedevil
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/libbluedevil.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/libbluedevil.git;a=summary

Package: libbluedevil-dev
Section: libdevel
Architecture: linux-any
Depends: libbluedevil1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libbluedevil
 This package provides all the necessary development headers for building
 software that uses the libbluedevil library.

Package: libbluedevil1
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A Qt wrapper for bluez
 libbluedevil is a Qt-style library for accessing the bluez bluetooth stack.
 It is used by the KDE bluetooth stack, BlueDevil.

## libbluedevil 1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,19 @@
 
 find_package(Qt4 REQUIRED)
 
+#
+### lib64/32 support kde like
+#
+set(LIB_SUFFIX "" CACHE STRING "Define suffix for lib directory (32/64)")
+
+set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin)
+set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
+
+set(INSTALL_TARGETS_DEFAULT_ARGS  RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
+                                  LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
+                                  ARCHIVE DESTINATION "${LIB_INSTALL_DIR}" COMPONENT Devel )
+
+
 set(GENERIC_LIB_VERSION "1.5")
 set(GENERIC_LIB_SOVERSION "1")
 set(VERSION ${GENERIC_LIB_VERSION})

=== debian/changelog ===
libbluedevil (1.8-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Add kubuntu_01_build_docs.diff, upstreamed
    - Reintroduce doc directory in the source, drop dfsg no longer needed
    - Add doxygen, graphviz, pkg-kde-tools and cdbs to build dependencies
    - Rewritten rules using debian-qt-kde.mk
    - Add rules to install documentation
    - Add libbluedevil-dev.dirs and libbluedevil-doc.links
    - Add libbluedevil-doc package
    - Build with -DLIBBLUEDEVIL_BUILD_API_DOCS=ON to generate documentation
    - libbluedevil-doc recommends qt4-doc
    - Remove 01_findqt4_optional_x11_pthread.diff fixed by upstream

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 11 Sep 2010 01:51:01 +0200

libbluedevil (1.7+dfsg-1build1) maverick; urgency=low

  * Change arch to any from linux-any since Soyuz doesn't yet understand
    linux-any (it will before we autosync again, so build1 is safe)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Aug 2010 04:52:33 -0400

## libbluedevil 1.9

=== debian/changelog ===
libbluedevil (1.9-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Update symbols file.
  * Adapt 02_hidden_visibility.diff to new upstream version.
  * Drop kubuntu_01_build_docs.diff, fixed upstream.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 18 Apr 2011 22:51:58 +0200

libbluedevil (1.8.1~git1-0ubuntu1) natty; urgency=low

  * New upstream release, taken from git tag due to lack of tar
  * Remove 02_hidden_visibility.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 Mar 2011 11:42:53 +0000

=== debian/control ===
Source: libbluedevil
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.4), libqt4-dev (>= 4:4.6.2),
 doxygen, graphviz, pkg-kde-tools, cdbs
Standards-Version: 3.9.1
Section: libs
Homepage: http://projects.ufocoders.com/projects/libbluedevil
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/libbluedevil.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/libbluedevil.git;a=summary

Package: libbluedevil-dev
Section: libdevel
Architecture: any
Depends: libbluedevil1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libbluedevil
 This package provides all the necessary development headers for building
 software that uses the libbluedevil library.

Package: libbluedevil1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A Qt wrapper for bluez
 libbluedevil is a Qt-style library for accessing the bluez bluetooth stack.
 It is used by the KDE bluetooth stack, BlueDevil.

Package: libbluedevil-doc
Priority: extra
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: qt4-doc
Description: developer documentation for the libbluedevil framework
 This package contains documentation for software developers using the
 libbluedevil framework.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_CMAKE_EXTRA_FLAGS += -DLIBBLUEDEVIL_BUILD_API_DOCS=ON

install/libbluedevil-doc::
	mkdir -p $(DEB_DESTDIR)/usr/share/libbluedevil/doc/html
	cp $(DEB_BUILDDIR)/doc/html/*.css \
	$(DEB_BUILDDIR)/doc/html/*.html \
	$(DEB_BUILDDIR)/doc/html/*.png \
	$(DEB_DESTDIR)/usr/share/libbluedevil/doc/html/

	mkdir -p $(DEB_DESTDIR)/usr/share/libbluedevil/doc/html/search
	cp $(DEB_BUILDDIR)/doc/html/search/* \
	$(DEB_DESTDIR)/usr/share/libbluedevil/doc/html/search/

binary-post-install/libbluedevil-dev::
	doxytag -t debian/$(cdbs_curpkg)/usr/share/libbluedevil/doc/libbluedevil.tag \
		$(DEB_DESTDIR)/usr/share/libbluedevil/doc/html

## libbluedevil 1.9.1

=== debian/changelog ===
libbluedevil (1.9.1-0ubuntu1) precise; urgency=low

  * New upstream release
  * Remove kubuntu_01_do_not_clean_device_list.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Dec 2011 16:35:00 +0000

libbluedevil (1.9-1ubuntu1) oneiric; urgency=low

  * Cherry-pick kubuntu_01_do_not_clean_device_list.diff from upstream,
    needed for bluedevil 1.2.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 19 Sep 2011 23:49:49 +0200

libbluedevil (1.9-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.9.2; no changes required.
  * Refresh patches.
  * Update symbols file.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Sun, 12 Jun 2011 18:41:27 +0300

libbluedevil (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Sun, 27 Mar 2011 15:13:29 +0300

libbluedevil (1.8-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update homepage.
  * Add Build-Depends-Package header in the symbols file.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Fri, 04 Mar 2011 16:47:34 +0200

=== debian/control ===
Source: libbluedevil
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.4), libqt4-dev (>= 4:4.6.2)
Standards-Version: 3.9.2
Section: libs
Homepage: https://projects.kde.org/projects/playground/libs/libbluedevil
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/libbluedevil.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/libbluedevil.git;a=summary

Package: libbluedevil-dev
Section: libdevel
Architecture: linux-any
Depends: libbluedevil1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libbluedevil
 This package provides all the necessary development headers for building
 software that uses the libbluedevil library.

Package: libbluedevil1
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A Qt wrapper for bluez
 libbluedevil is a Qt-style library for accessing the bluez bluetooth stack.
 It is used by the KDE bluetooth stack, BlueDevil.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh --parallel --buildsystem=cmake $@

## libbluedevil 1.9.2

=== debian/changelog ===
libbluedevil (1.9.2-1) unstable; urgency=low

  * New upstream release.
  * Add myself to uploaders.
  * Drop upstream_use-LIB_INSTALL_DIR.patch, merged upstream.
  * Update symbol file.

 -- Modestas Vainius <modax@debian.org>  Tue, 01 May 2012 16:19:13 +0300

libbluedevil (1.9.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

  [ George Kiagiadakis ]
  * Convert to multiarch; patch from Daniel Schaal (Closes: #636042)

  [ Pino Toscano ]
  * Fix watch file.
  * Update the patches:
    - 02_hidden_visibility.diff: drop, no more required.
    - 03_use_multiarch_lib_paths.diff: refresh, add DEP3 headers, remove part
      concerning the pkg-config file
    - upstream_use-LIB_INSTALL_DIR.patch: backport upstream commit to
      properly set "libdir" in the pkg-config file
  * Bump debhelper build dependency to 9.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Slightly improve the package descriptions.

 -- Pino Toscano <pino@debian.org>  Tue, 03 Apr 2012 12:12:53 +0200

=== debian/control ===
Source: libbluedevil
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.5), libqt4-dev (>= 4:4.6.2)
Standards-Version: 3.9.3
Section: libs
Homepage: https://projects.kde.org/projects/playground/libs/libbluedevil
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/libbluedevil.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/libbluedevil.git;a=summary

Package: libbluedevil-dev
Section: libdevel
Architecture: linux-any
Depends: libbluedevil1 (= ${binary:Version}), ${misc:Depends}
Description: development files for libbluedevil
 This package provides all the necessary development headers for building
 software that uses the libbluedevil library.

Package: libbluedevil1
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Qt wrapper for bluez
 libbluedevil is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.

## libbluedevil 1.9.3

=== debian/changelog ===
libbluedevil (1.9.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Fix Vcs-* headers.
  * Make libbluedevil-dev depend on libqt4-dev.
  * Update symbols file.
  * Bump Standards-Version to 3.9.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 17 May 2013 12:58:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>, Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 9), cmake (>= 2.8.5), libqt4-dev (>= 4:4.6.2)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: https://projects.kde.org/projects/playground/libs/libbluedevil
-Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/libbluedevil.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/libbluedevil.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libbluedevil.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libbluedevil.git;a=summary
 
 Package: libbluedevil-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libbluedevil1 (= ${binary:Version}), ${misc:Depends}
+Depends: libbluedevil1 (= ${binary:Version}), ${misc:Depends}, libqt4-dev
 Description: development files for libbluedevil
  This package provides all the necessary development headers for building
  software that uses the libbluedevil library.

## libbluedevil 1.9.4

=== debian/changelog ===
libbluedevil (1.9.4-0ubuntu1~ubuntu13.10) saucy; urgency=low

  * SRU upstream bugfix release (part of KDE micro release exception)
    LP: #1220780

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Dec 2013 15:23:11 +0000

libbluedevil (1.9.4-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release LP: #1220780

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Dec 2013 15:11:10 +0000

## libbluedevil 2.0~rc1really1.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,20 @@
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
 find_package(Qt4 REQUIRED)
+
+include(CheckCXXCompilerFlag)
+
+include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
+
+check_cxx_compiler_flag(-fvisibility=hidden _HAVE_VISIBILITY)
+if (_HAVE_VISIBILITY AND NOT WIN32)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
+
+  check_cxx_compiler_flag(-fvisibility-inlines-hidden _HAVE_VISIBILITY_INLINES)
+  if (_HAVE_VISIBILITY_INLINES)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
+  endif (_HAVE_VISIBILITY_INLINES)
+endif (_HAVE_VISIBILITY AND NOT WIN32)
 
 #
 ### lib64/32 support kde like
@@ -18,8 +32,30 @@
                                   ARCHIVE DESTINATION "${LIB_INSTALL_DIR}" COMPONENT Devel )
 
 
-set(GENERIC_LIB_VERSION "1.5")
+set(GENERIC_LIB_VERSION "1.9")
 set(GENERIC_LIB_SOVERSION "1")
 set(VERSION ${GENERIC_LIB_VERSION})
 
 add_subdirectory(bluedevil)
+
+option(LIBBLUEDEVIL_BUILD_API_DOCS "Build libbluedevil API documentation")
+
+##################  apidox ################################
+if(LIBBLUEDEVIL_BUILD_API_DOCS)
+  find_package(Doxygen)
+
+  if(DOXYGEN_EXECUTABLE)
+    configure_file(${libbluedevil_SOURCE_DIR}/.Doxyfile.cmake ${libbluedevil_BINARY_DIR}/Doxyfile)
+
+    if(EXISTS ${QT_DOC_DIR}/html)
+      set(QTDOCS "${QT_DOC_DIR}/html")
+    else(EXISTS ${QT_DOC_DIR}/html)
+      set(QTDOCS "http://doc.qt.nokia.com/latest/")
+    endif(EXISTS ${QT_DOC_DIR}/html)
+
+    add_custom_target(
+      apidox ALL
+      COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
+      COMMAND doc/html/installdox -l qt4.tag@${QTDOCS} doc/html/*.html)
+  endif(DOXYGEN_EXECUTABLE)
+endif(LIBBLUEDEVIL_BUILD_API_DOCS)

=== debian/changelog ===
libbluedevil (2.0~rc1really1.9.4-0ubuntu1) trusty; urgency=medium

  * Revert to 1.9.4 due to no bluez5 in trusty

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Feb 2014 09:38:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libbluedevil
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>, Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 9), cmake (>= 2.8.5), libqt4-dev (>= 4:4.6.2)
 Standards-Version: 3.9.4

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel --buildsystem=cmake

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
ftp://ftp.kde.org/pub/kde/stable/libbluedevil/([\d.]+)/src/libbluedevil-([\d.]+).tar.bz2

## libbluedevil 2.0~rc1-6

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,8 +32,8 @@
                                   ARCHIVE DESTINATION "${LIB_INSTALL_DIR}" COMPONENT Devel )
 
 
-set(GENERIC_LIB_VERSION "1.9")
-set(GENERIC_LIB_SOVERSION "1")
+set(GENERIC_LIB_VERSION "2.0")
+set(GENERIC_LIB_SOVERSION "2")
 set(VERSION ${GENERIC_LIB_VERSION})
 
 add_subdirectory(bluedevil)
@@ -45,17 +45,15 @@
   find_package(Doxygen)
 
   if(DOXYGEN_EXECUTABLE)
+    if(EXISTS "${QT_DOC_DIR}/html/qt.tags")
+      set(QT_TAG_STRING "${QT_DOC_DIR}/html/qt.tags=${QT_DOC_DIR}/html")
+    endif()
+
     configure_file(${libbluedevil_SOURCE_DIR}/.Doxyfile.cmake ${libbluedevil_BINARY_DIR}/Doxyfile)
-
-    if(EXISTS ${QT_DOC_DIR}/html)
-      set(QTDOCS "${QT_DOC_DIR}/html")
-    else(EXISTS ${QT_DOC_DIR}/html)
-      set(QTDOCS "http://doc.qt.nokia.com/latest/")
-    endif(EXISTS ${QT_DOC_DIR}/html)
 
     add_custom_target(
       apidox ALL
       COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
-      COMMAND doc/html/installdox -l qt4.tag@${QTDOCS} doc/html/*.html)
+    )
   endif(DOXYGEN_EXECUTABLE)
 endif(LIBBLUEDEVIL_BUILD_API_DOCS)

## libbluedevil 2.0~rc1-6-g7bb223c

=== debian/changelog ===
libbluedevil (2.0~rc1-6-g7bb223c-2) unstable; urgency=medium

  * Team upload to unstable

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Oct 2014 19:00:17 +0200

libbluedevil (2.0~rc1-6-g7bb223c-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot, add two setAlias symbols
  * Bump Standards-Version to 3.9.6 without changes needed

 -- Didier Raboud <odyx@debian.org>  Thu, 23 Oct 2014 10:31:19 +0200

libbluedevil (2.0~rc1-2) unstable; urgency=medium

  * Team upload to unstable as bluez5 landed in unstable.

 -- Didier Raboud <odyx@debian.org>  Mon, 14 Jul 2014 13:20:16 +0200

libbluedevil (2.0~rc1-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * Refresh patches for 2.0~rc1
  * Bump libbluedevil SONAME version to 2
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Thu, 15 May 2014 18:23:03 +0200

=== debian/control ===
Source: libbluedevil
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.5), libqt4-dev (>= 4:4.6.2)
Standards-Version: 3.9.6
Section: libs
Homepage: https://projects.kde.org/projects/playground/libs/libbluedevil
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libbluedevil.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libbluedevil.git;a=summary

Package: libbluedevil-dev
Section: libdevel
Architecture: linux-any
Depends: libbluedevil2 (= ${binary:Version}), ${misc:Depends}, libqt4-dev
Description: development files for libbluedevil
 This package provides all the necessary development headers for building
 software that uses the libbluedevil library.

Package: libbluedevil2
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Qt wrapper for bluez
 libbluedevil is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.

## libbluedevil 5.2.2

=== CMakeLists.txt ===
project(libbluedevil)
set(PROJECT_VERSION "5.2.2")

cmake_minimum_required(VERSION 2.8.11)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

find_package(Qt5 CONFIG REQUIRED COMPONENTS
    Core
    DBus)

include(CheckCXXCompilerFlag)
include(GNUInstallDirs)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

check_cxx_compiler_flag(-fvisibility=hidden _HAVE_VISIBILITY)
if (_HAVE_VISIBILITY AND NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

  check_cxx_compiler_flag(-fvisibility-inlines-hidden _HAVE_VISIBILITY_INLINES)
  if (_HAVE_VISIBILITY_INLINES)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
  endif (_HAVE_VISIBILITY_INLINES)
endif (_HAVE_VISIBILITY AND NOT WIN32)

#
### lib64/32 support kde like
#
set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin)
set(LIB_INSTALL_DIR ${CMAKE_INSTALL_FULL_LIBDIR})

set(INSTALL_TARGETS_DEFAULT_ARGS  RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
                                  LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                                  ARCHIVE DESTINATION "${LIB_INSTALL_DIR}" COMPONENT Devel )


set(GENERIC_LIB_VERSION ${PROJECT_VERSION})
set(GENERIC_LIB_SOVERSION "5")
set(VERSION ${GENERIC_LIB_VERSION})

add_subdirectory(bluedevil)

option(LIBBLUEDEVIL_BUILD_API_DOCS "Build libbluedevil API documentation")

##################  apidox ################################
if(LIBBLUEDEVIL_BUILD_API_DOCS)
  find_package(Doxygen)

  if(DOXYGEN_EXECUTABLE)
    configure_file(${libbluedevil_SOURCE_DIR}/.Doxyfile.cmake ${libbluedevil_BINARY_DIR}/Doxyfile)

    if(EXISTS ${QT_DOC_DIR}/html)
      set(QTDOCS "${QT_DOC_DIR}/html")
    else(EXISTS ${QT_DOC_DIR}/html)
      set(QTDOCS "http://doc.qt.nokia.com/latest/")
    endif(EXISTS ${QT_DOC_DIR}/html)

    add_custom_target(
      apidox ALL
      COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
      COMMAND doc/html/installdox -l qt4.tag@${QTDOCS} doc/html/*.html)
  endif(DOXYGEN_EXECUTABLE)
endif(LIBBLUEDEVIL_BUILD_API_DOCS)

=== bluedevil/CMakeLists.txt ===
add_subdirectory(test)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set(libbluedevil_SRCS
    bluedevilmanager.cpp
    bluedevilmanager_p.cpp
    bluedeviladapter.cpp
    bluedevildevice.cpp
    bluedevilutils.cpp
)

set(dbusobjectmanager_xml ${CMAKE_CURRENT_SOURCE_DIR}/bluez/org.freedesktop.DBus.ObjectManager.xml)
set_source_files_properties(${dbusobjectmanager_xml} PROPERTIES INCLUDE "bluedevil/bluedevildbustypes.h")
QT5_ADD_DBUS_INTERFACE(libbluedevil_SRCS ${dbusobjectmanager_xml} dbusobjectmanager)

QT5_ADD_DBUS_INTERFACE(libbluedevil_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/bluez/org.freedesktop.DBus.Properties.xml dbusproperties)

QT5_ADD_DBUS_INTERFACE(libbluedevil_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/bluez/org.bluez.Adapter1.xml bluezadapter1)
QT5_ADD_DBUS_INTERFACE(libbluedevil_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/bluez/org.bluez.AgentManager1.xml bluezagentmanager1)
QT5_ADD_DBUS_INTERFACE(libbluedevil_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/bluez/org.bluez.Device1.xml bluezdevice1)

add_library(bluedevil SHARED ${libbluedevil_SRCS})

target_link_libraries(bluedevil
    Qt5::Core
    Qt5::DBus)

set_target_properties(bluedevil PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS bluedevil ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES bluedevilmanager.h
              bluedeviladapter.h
              bluedevildevice.h
              bluedevil_export.h
              bluedevil.h
              bluedevilutils.h DESTINATION include/bluedevil)

if(NOT WIN32) # pkgconfig file
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/bluedevil.pc.in ${CMAKE_CURRENT_BINARY_DIR}/bluedevil.pc @ONLY)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/bluedevil.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif(NOT WIN32)

=== bluedevil/test/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set (bluedeviltest_SRCS bluedeviltest.cpp)
add_executable(bluedeviltest ${bluedeviltest_SRCS})
target_link_libraries(bluedeviltest
    Qt5::Core
    Qt5::DBus
    bluedevil)

set (adaptertest_SRCS adaptertest.cpp)
add_executable(adaptertest ${adaptertest_SRCS})
target_link_libraries(adaptertest
    Qt5::Core
    Qt5::DBus
    bluedevil)

=== debian/changelog ===
libbluedevil (4:5.2.2-0ubuntu3) wily; urgency=medium

  * Update symbols list

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 13 Aug 2015 18:06:45 +0200

libbluedevil (4:5.2.2-0ubuntu2) wily; urgency=medium

  * Reupload bluz5 version which was uploaded and deleted in vivid

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 13 Aug 2015 18:00:29 +0200

libbluedevil (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:33:55 -0700

libbluedevil (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:43:13 -0800

libbluedevil (4:5.2.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Paulo Dias ]
  * First release for KF5

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Harald Sitter ]
  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Mon, 26 Jan 2015 13:56:25 +0100

=== debian/control ===
Source: libbluedevil
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
XSBC-Original-Maintainer: Paulo Dias <paulo.miguel.dias@gmail.com>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Mark Purcell <msp@debian.org>,
           Modestas Vainius <modax@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules,
               kio-dev,
               libkf5auth-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5xmlgui-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcursor-dev,
               pkg-kde-tools,
               qtdeclarative5-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://projects.kde.org/projects/playground/libs/libbluedevil
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/libbluedevil.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/libbluedevil.git;a=summary

Package: libbluedevil-dev
Section: libdevel
Architecture: linux-any
Depends: libbluedevil5 (= ${binary:Version}), ${misc:Depends}
Description: development files for libbluedevil
 This package provides all the necessary development headers for building
 software that uses the libbluedevil library.

Package: libbluedevil5
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Qt wrapper for bluez
 libbluedevil is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.
